package model

import (
	"crypto/rand"
	"math/big"
)

var funnyNames = []string{
	"Captain Quirk",
	"Giggle Muffin",
	"Bubbles McFarty",
	"Dapper Dingle",
	"Wacky McWiggles",
	"Sir Laughs-a-Lot",
	"Chuckles the Chipmunk",
	"Fuzzy Pickles",
	"Snickerdoodle Sprout",
	"Zany Zucchini",
	"Professor Pudding",
	"Bumbling Bumblebee",
	"Cheeky Monkey",
	"Silly Sausage",
	"Wobble Bottom",
	"Grinning Goblin",
	"Fluffy Fiasco",
	"Tickle Tortilla",
	"Jolly Jester",
	"Merry Marmalade",
	"Wacky Wonka",
	"Noodle Nugget",
	"Bubblegum Bandit",
	"Funky Ferret",
	"Giggle Gopher",
	"Happy Hiccup",
	"Nifty Noodle",
	"Dizzy Donut",
	"Bouncy Biscuit",
	"Frolic Fox",
	"Whimsical Wombat",
	"Peppy Pumpernickel",
	"Loco Lobster",
	"Sassy Sasquatch",
	"Rambunctious Radish",
	"Prankster Panda",
	"Zippy Zebra",
	"Giggling Giraffe",
	"Funky Flamingo",
	"Silly Sphinx",
	"Guffawing Gopher",
	"Cheerful Cucumber",
	"Hapless Hedgehog",
	"Jovial Jalapeño",
	"Bubbly Banana",
	"Quirky Quokka",
	"Dandy Dodo",
	"Laughing Llama",
	"Zany Zephyr",
}

func RandomName() string {
	x := big.NewInt(int64(len(funnyNames) - 1))
	i, _ := rand.Int(rand.Reader, x)

	return funnyNames[i.Int64()]
}
